<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Catalog\Block\Product\View */
?>
<?php $_product = $block->getProduct(); ?>
<?php $buttonTitle = __('Update Cart'); ?>
<?php if ($_product->isSaleable()): ?>
    <div class="box-tocart update">
        <fieldset class="fieldset">
            <?php if ($block->shouldRenderQuantity()): ?>
            <div class="field qty">
                <!-- <label class="label" for="qty"><span><?php /* @escapeNotVerified */ echo __('Qty') ?></span></label> -->
                <div class="control">
					<span class="edit-qty minus" onclick="minusQty('qty')">-</span>
                    <input type="number" name="qty" id="qty" maxlength="12" value="<?php /* @escapeNotVerified */ echo $block->getProductDefaultQty() * 1 ?>" title="<?php /* @escapeNotVerified */ echo __('Qty') ?>" class="input-text qty" data-validate="{'required-number':true,digits:true}"/>
					<span class="edit-qty plus" onclick="plusQty('qty')">+</span>
                </div>
            </div>
            <?php endif; ?>
            <div class="actions">
                <button type="submit"
                        title="<?php /* @escapeNotVerified */ echo $buttonTitle ?>"
                        class="action primary tocart"
                        id="product-updatecart-button">
                    <span><?php /* @escapeNotVerified */ echo $buttonTitle ?></span>
                </button>
                <?php echo $block->getChildHtml('', true) ?>
            </div>
        </fieldset>
    </div>
    <script type="text/x-magento-init">
        {
            "#product_addtocart_form": {
                "validation": {},
                "addToCart": {
                    "cartButtonId": "#product-updatecart-button",
                    "cartForm": "#product_addtocart_form"
                }
            }
        }
    </script>
	<?php if ($block->shouldRenderQuantity()): ?>
		<script type="text/javascript">
			function plusQty(qtyInput){
				require([
				'jquery'
				], function(jQuery){
					(function($) {
						if($('#'+qtyInput).attr('disabled')!='disabled'){
							qty = $('#'+qtyInput).attr('value');
							qty = parseInt(qty);
							qty++;
							$('#'+qtyInput).val(qty);
						}
					})(jQuery);
				});

			}
			function minusQty(qtyInput){
				require([
				'jquery'
				], function(jQuery){
					(function($) {
						if($('#'+qtyInput).attr('disabled')!='disabled'){
							qty = $('#'+qtyInput).attr('value');
							qty = parseInt(qty);

							if(qty>1){
								qty--;
								$('#'+qtyInput).val(qty);
							}
						}
					})(jQuery);
				});
			}
		</script>
	<?php endif; ?>
<?php endif; ?>
